package org.gcube.test.app;

import java.io.IOException;

import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

@WebServlet(urlPatterns = "/*", name = "testAppServlet")
public class TestAppServlet extends HttpServlet {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;


	// log on behalf of extension
	private static final Logger log = LoggerFactory.getLogger(TestAppServlet.class);
	
	
	public void doGet(HttpServletRequest request, HttpServletResponse response) 
			throws IOException {
		log.info("testApp call received");
		response.getWriter().write("test app started");
	}

}